Subject: [core] CoRE recharter: please proceed

From: Carsten Bormann <[email-masked]>
Date: Thu, 23 Jul 2015 15:08:35 +0200

Barry,

we had another quick discussion of the charter in the meeting on
Tuesday, which led to a few more editorial nits being fixed.

The chairs believe we now have consensus within the WG on the proposed
new charter, and ask that you start the process of adopting it.

The proposed text is in the CoRE SVN at:
https://svn.tools.ietf.org/svn/wg/core/charter-ietf-core.txt

Grüße, Carsten

---

From: "weigengyu" <[email-masked]>
Date: Fri, 24 Jul 2015 10:18:31 +0800

Hi Casten，

Have read " The proposed text is in the CoRE SVN at:
https://svn.tools.ietf.org/svn/wg/core/charter-ietf-core.txt"

It is found that one word "endpoint" is lost in the document.
I wonder that it is necessary to give words to tell the relation between 
endpoint and devices although node and devices are clear from the context.

This is because endpoint(s) appears in two many places in RFC7252,

Regards,

Gengyu WEI
Network Technology Center
School of Computer
Beijing University of Posts and Telecommunications
-----原始邮件----- 
From: Carsten Bormann
Sent: Thursday, July 23, 2015 9:08 PM
To: [email-masked]
Cc: [email-masked] WG
Subject: [core] CoRE recharter: please proceed

Barry,

Grüße, Carsten

_______________________________________________
core mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/core

---

From: "Rahman, Akbar" <[email-masked]>
Date: Fri, 24 Jul 2015 06:40:44 +0000

Hi Carsten,

I noticed a small typo in the draft name for core-http-mapping.  So I suggest we change as follows -

FROM:

 RFC 7252 defines a basic HTTP mapping for CoAP, with further discussion
 in -http-mapping.  This mapping will be evolved and supported by further
 documents.

TO:
 RFC 7252 defines a basic HTTP mapping for CoAP, with further discussion
 in core-http-mapping.  This mapping will be evolved and supported by further
 documents.

Best Regards,

Akbar

-----Original Message-----
From: core [mailto:[email-masked]] On Behalf Of Carsten Bormann
Sent: Thursday, July 23, 2015 9:09 AM
To: [email-masked]
Cc: [email-masked] WG
Subject: [core] CoRE recharter: please proceed

Barry,

we had another quick discussion of the charter in the meeting on Tuesday, which led to a few more editorial nits being fixed.

The chairs believe we now have consensus within the WG on the proposed new charter, and ask that you start the process of adopting it.

Grüße, Carsten

---

From: Carsten Bormann <[email-masked]>
Date: Fri, 24 Jul 2015 08:46:03 +0200

I actually used the convention of shortening draft-ietf-wg-foo to -foo
in a couple of places, not just this one.  If that is confusing, I can
change it throughout.

Grüße, Carsten

---

From: Carsten Bormann <[email-masked]>
Date: Fri, 24 Jul 2015 08:53:13 +0200

Hi Gengyu,

the endpoint indeed is an important concept for CoAP.
That's why it occurs 127 times in RFC 7252.
It's not clear to me why we would need to talk about endpoints in the
charter, though; the current charter of the WG doesn't, either.
(Replacing "node" or "Device" by "endpoint" wouldn't quite fit (a single
node might provide several CoAP endpoints), and "constrained endpoint
network" doesn't sound right at all.)

Grüße, Carsten

weigengyu wrote:
> -----原始邮件----- From: Carsten Bormann

---

From: Barry Leiba <[email-masked]>
Date: Fri, 24 Jul 2015 09:00:06 +0200

> I noticed a small typo in the draft name for core-http-mapping.

Yeh, I don't think it's a typo.  It just elides "draft-ietf-core",
whereas you're only eliding "draft-ietf-".  The better fix is to use
full document names, as "draft-ietf-core-http-mapping".

Barry

---

From: "Rahman, Akbar" <[email-masked]>
Date: Fri, 24 Jul 2015 07:00:07 +0000

Yes, please use the full name as at least I found it confusing (e.g. I just understood now that your reference to "resource-directory" meant the draft and not the physical node)

-----Original Message-----
From: Carsten Bormann [mailto:[email-masked]]
Sent: Friday, July 24, 2015 2:46 AM
To: Rahman, Akbar
Cc: [email-masked] WG
Subject: Re: [core] CoRE recharter: please proceed

I actually used the convention of shortening draft-ietf-wg-foo to -foo in a couple of places, not just this one.  If that is confusing, I can change it throughout.

Grüße, Carsten

Rahman, Akbar wrote:
>  RFC 7252 defines a basic HTTP mapping for CoAP, with further
> discussion  in -http-mapping.  This mapping will be evolved and
> supported by further  documents.
>
>
> TO:
>  RFC 7252 defines a basic HTTP mapping for CoAP, with further
> discussion  in core-http-mapping.  This mapping will be evolved and
> supported by further  documents.
>
>
>
> Best Regards,
>
>
> Akbar
>
>

---

From: "Carles Gomez Montenegro" <[email-masked]>
Date: Sat, 25 Jul 2015 11:30:44 +0200

Hi everyone,

I would like to ask whether the following paragraph in the recharter text
includes advanced congestion control / RTO estimate schemes for CoAP, such
as draft-bormann-core-cocoa-02 (CoCoA):

  The WG will perform maintenance on its first four standards-track
  specifications (RFC 6690, RFC 7252, -observe, -block) and will
  continue to evolve the experimental group communications support
  (RFC 7390).

When I first read the recharter text, I assumed that CoCoA was under the
coverage of this 'maintenance' text. However, I would like to make sure
that my assumption matches reality. :)

For example, the third paragraph of RFC 7252 section 4.7 states:

  Further congestion control optimizations and considerations are
  expected in the future [...]

Thanks, and safe travels everyone!

Carles

---

From: "weigengyu" <[email-masked]>
Date: Sun, 26 Jul 2015 09:51:27 +0800

Hi Carsten,

I think, to tell the relationship between endpoint and devices(or nodes) in 
the Charter
would help to understand CoAP and constrained networks.

There is no suggestion to replace "node" or "Device" by "endpoint".

Regards,

Gengyu WEI
-----原始邮件----- 
From: Carsten Bormann
Sent: Friday, July 24, 2015 2:53 PM
To: weigengyu
Cc: [email-masked]
Subject: Re: [core] CoRE recharter: please proceed

Hi Gengyu,

Grüße, Carsten